Contents
UniQWK - Mail Reader

Message View	       Miscelaneous

File	Keyboard

Edit	Message Editor

Msg	How to uninstall

View	How to get rid of

Reply	PIFs Setup

Search	UniQWK limits

Config	Buttons

Make

Info


Message Editor

Edit commands

File commands

Talk commands

Music commands

Keyboard


File Menu

-The File menu includes commands that enable you to open,close and delete .QWK files.

-For more information, select the File menu command name.

Open	Open .QWK file.

Close	Close .QWK file.

Rename	Rename file.

Save New FIles	Save current "New FIles"

Delete	Delete packet.

Exit	Program Exit.


Reader Edit Menu
Edit

-Use this option to MARK and COPY text from the view window.

-Select/unselect text with the left mouse button.

- The COPY command insert the selected text into clipboard, previous contents are lost.

-The STAG option save the selected text at tagline's file.   The tagline is up to 64 characters.  The file (UNIQWK.TAG) can hold up to 4096 taglines.


Message Menu

List	List the messages of current area.  Messages can be sorted by number or by subject, (better).

Area List	List available areas.    You can choose between display all areas, or only the areas with message.

Save Sep.	Save message at a separated file If file exists, message is apended at end of the file

Save Def.	Save message at default file     The message can be saved by day or by BBS's name.  See.  Options

Print	Print the current message at the default printer, one message at a page.current message

Save Talk	Save  current Talkline into a .WAV file.

Talk	Play Talkline again

Save MIDI	Save current MIDI (at message) into a .MID file.

MIDI	Play MIDI again

Previous	Go to previous message

Next	Go to next message


View Menu

- Use this menu to view  extra files on the  mail packet.

- Usually  the files available are:

-NEWFILES.DAT -	List of new files available for download.

-BLT-n.xxx -	Bulletins from the BBS.

-WELCOME.xxx  - 	File with the BBS's opening screen.

- Others files can be found in the packet, it depends on your configuration at the BBS.

- These files can be normal text or ANSI.  Files with more than 32kb are truncated.


Reply Menu

List	List replies at current .REP file for delete,.edit,save, copy and view.

Reply /wo	Reply the current message, without quote

Reply /w	Reply with quote to the current message.

Enter Msg	Enter a new message.

Forward	Send current message to another user


Search

- Search message header and text for the pattern, and display message if found.

- All packet is searched from the first to last message (header and message text).

- The maximum pattern size is 64 characters.


Config
Configuration Menu

User List	Change users list

Options	Miscellaneous

Reply	Select reply options

Save size	Save current window size

Font Size	Select font size

Color Header	Set message header color

Color Msg.	Set message text color

Directories	Configure current directories

Door	Remote Door configuration

Registration	To enter registration information

Taglines	To enter, delete, or edit taglines


Reply List

- List all replies at .REP packet.  Use it to:

View - Display selected reply You can also double click a selection do display a reply.

Copy - Send a copy of reply to another user, Carbon Copy on some mail readers.

Edit - Edit a reply.

Save - Save a reply into a file.

Delete- Remove reply from .REP file.  There is NO undo command...


Directory
Directories

Set  default directories for UniQWK.

.QWK	Directory where the mail packets are to be found,

usually your default download directory

.REP	Directory to place the reply packet, usually your

default upload directory.

.MSG	Default directory to save messages.  Used when

you SAVE a message.  Maybe any directory.

.WAV	Default directory to save/load Talklines.

.MID	Default directory to save/load .MIDI files.

OBS: Directory UNIWORK is used by UniQWK  to unpack the received mail and as scratch area, this must be used only by UniQWK.


Packers
Configuring PIFs to pack/unpack

Use Windows  PIF Editor to configure the mail packet  compressor/uncompressor.    Default  PIFs assume  PKZIP/UNZIP.    If you use another compressor, just set the PIF to run it.

Program Filename :

- Use complete file name.  Ex:  C:\util\pkunzip.

Window Title:

- Must be MRPACK for the pack program and MRUNPACK for the unpacking program

Start-up Directory:

- Nothing to put here, except for eventual needs of your particular configuration.

Optional Parameters:

- For MRUNUNPACK we suggest to use the overwrite parameter (if available).

Memory Requirements

- Use as required by your preferred pack/unpack program.

Close Window on Exit:

- Must be checked, or you will have to close it manually.

Execution:

- May be "background". Attention on this, as this isn't the window's default


Reply Options
Reply

Selects many options on replying  message:

Reply CP	Choose the .REP character set

Internal Editor	Configure Internal Editor

External Editor	Configure External Editor

First Line	Set the first reply line

Last Line	Set the last reply line

Quote	Set the quote mark character


Miscelaneous
Options

-Talklines - Disable Talklines or select the play volume (normal or low).

- Save Messages - Select how to save messages, by DATE or by BBS name.

   BBS - The messages are saved into a  file named bbsname.MSG

   DATE - The default file name is: yymmdd.MSG.  It creates a new file daily.

- Buttons - You can select between fixed , movable or no buttons.

- Ask for - Enable or disable confirmation for delete, save, etc.

- Save Newfiles - Enable the append of NEWFILES received into a file named bbsname.NEW.  When the file is too large, (128kb) you'll receive a warning, rename or delete this file.  If this option isn't enabled, you can save manualy "New Files" at FILE menu.

- Ask for display ANSI - If checked, UniQWK will ask for display corrupted ANSI messages. If unchecked, the message is displayed as ANSI without any question.

- Beep on Personal.Msg - If checked Beeps on personal messages..

-Use Taglines - If cheched, taglines will be enabled.  Unregistred version uses a fixed tagline.


Window Size
Save Size

- Save the current size of the window.   The position is always saved. Use it if you want to use more or less lines than default, 18 for large character,  and  24 for medium and small.

Warning:  If you use a window  width other than 80 characters,  you may get ANSI drawing messages distorted.   To  restart the default window position, delete the line "Size="  into UNIQWK.INI file (windows default directory) and restart program.  As alternative you can change the character size to and from another size, this also restores the default window size.


User's List

- This list hold the most frequently used  names to send messages. Up to 64 names can be saved.

- Use this option to change the list (add or delete user's names)

- The CANCEL button restore the list from your last SAVE command.


Door Configuration

-Use this option to set/reset some parameter at your BBS door  At this version, available only for QMAIL4 and compatibles. See your door manual.for more details.

Add - To include a conference at your packet. Fill with the conference number. If you want to receive only the messages addressed to you, check the right side box..

Drop - To exclude a conference from your packet.

Reset - To select the last message read at a conference, select the conference and put the number of last read message.

Max. Size - Select the maximum packet size in bytes.    Your packet size is limited by the sysop and/or the baud rate.

Max . Msg - Select the maximum messages/packet.. This number may be limited by your sysop. 400 is a good number. Do not select more than 600...

Protocol - Select the default protocol for download/upload.  Fill with the letter correspondent to the protocol.


Registration

-Use this option when you receive your key number to finally get rid of the box, etc.,

-Fill in the box with the name, number and code as you received, do not change case!  Click OK.

-Exit program.

-Restart program  and check at ABOUT box if your name and number are OK if not check for some misspelled character at name, number or code. Try again.  If unsuccessful, call us.


Tagline
Taglines.

-Add - add a new tagline to file. The file can hold up to 4096 lines

-Delete - remove a tagline from file

-Done - save edited line, close box.

-Cancel - restore the previous tagline (only during edition)

Use the Up and Down arrow to change the current line ( saving changes).

The file is at code page 1007 (ANSI).  Do not edit the file directly.


Create .REP file
Make .REP file

-Use this command to create a .REP file.

-You can create file only to BBSs available at the list box.

-The list box can hold up to 16 BBS.profiles


Packet Information
Info

Use this command to display information about the current packet, such as sysop's name, packet date/time , number of messages and packet uncompressed size.


Color Header

- Change the header's colors.

- You can change the color of labels, background and text.

- Only solid colors can be chosen for text.

SEE: Color Message


Color Message

- Change the colors of message window.

- You can change the color of background,   normal text and "quoted" text.

- Only solid colors can be chosen for text.  Some background colors may produce distorted characters.

- If the message is ANSI  Message,  the  colors are selected trough the ANSI commands.

SEE: Color Header


Reply CP

-Choose the Code Page (CP) of your replies.

-This is important only for the extended character set, the characters above 127.  For english use, select CP 860/50.

-Windows use ANSI  character set.

- UniQWK is intended for multilingual usage. To keep semi-graphic characters, using option CP860/50, only some characters of Code P8age 850 and 860 are translated.(accents)

- For use with languages other than portuguese, spanish, or english, select CP 850.

- The option  ASCII 7 bits  mask out bit 7 (off), so only characters between 0 and 127  are available.


Internal Editor

- If the check box Internal Editor  is checked, UniQWK will use the internal editor to create the replies.

- You can choose the maximum number of lines and the automatic left margin.

- The use of single spaced font (fixed pitch) is recommended to avoid lines above 80 characters.

- You can change the line length moving the right window  border before save the text.

- We hope to improve this editor in future versions...


External Editor

- If Internal Editor check box is not checked,  UniQWK will use the external editor to create the replies.

- You can use any external editor able to give output without control sequences. The editor can be a Windows application( Notepad or WinEdit, for example) or run into a DOS window( Qedit, for example)

- If the editor isn't at default path, you must use complete file name. Ex:  C:\util\Qedit.exe

- If you choose one Window's editor, check the ANSI option, except if the editor uses  "OEM character set", another way of  saying that the character set is Code Page 437, or any other non Windows ANSi.


First Line

-This line, up to 80 characters is placed  in the beginning of your reply.

-The  # symbol is replaced by the first name of the addressee.


Last Line

- The content of his line, up to 80 characters, is appended at the end of your reply.    You may use it to append your sign at end of message

- There is no  taglines  at registered version of UniQWK....


Quote

-  The quote symbols, up to 4, are placed at the beginning of each line of the message.

-  The # if present on quote descriptor,  will be replaced by two initials of addressee

-  This line at dialog box is showed in OEM character set, to place special symbols, use ALT + 0  nnn ,or ALT + SHIFT + 0 nnn  where nnn is the decimal number of the symbol.


 	Font Size

- The message viewer uses on fixed pitch font with Code Page 860/850 character set.

- You can select among three font sizes.


File Exit Command
File Exit

- When exiting from UniQWK  if you didn't read all messages, you can save the current position on the mail packet

- If all messages are marked  "#"  you will be asked to delete the .QWK packet.

- Your replies (.REP) is copied to upload directory on exit.


File Open

-Select the .QWK file to view.

-Only one file can be open at a time.

-You can't run UniQWK again to open other mail packet.


File Close

-This command closes all files and packs  de replies in a .REP file.

- You can save your reading position to a next section if you didn't read all messages.


File Delete

-This command deletes the current .QWK file from the  download directory.

- The replies and working files are not deleted.


File Rename

- Use this command to rename a file.

- Do not rename the open packed before close the packet.


File Menu

Include	Insert a file

Save	Save reply

Cancel	Cancel reply

Fonts	Select font


File Include

- Use this command to include a file at  current cursor position or replace selected text, if any.

- If the file is bigger than available space, file will be truncated.


Save Reply

- Close editor, save the current reply.

- You can edit again a message at   Reply List   menu..


Cancel Relpy
Cancel Reply

- Close editor, purge current reply.

- No undo available...


Font Select

- Use this command to change the font or character size used into editor.

-  If you checked Use Fixed Fonts at the Options  menu, only fixed fonts will be available at dialog box.

Warning: When using proportional spaced fonts (non fixed), you may have lines with more than 80 characters, and this is annoying to others users.


Edit Menu

- The Edit menu includes commands that enable you to move text to and from the clipboard, to delete text, and to undo a previous editing operation.

-For more information, select the Edit menu command name.

Undo	Cancels a previous operation.

Select All	Selects all text

Cut	Deletes text and moves it to the clipboard.

Copy	Copies text to the clipboard.

Paste	Moves text from the clipboard to the edit window.

Clear	Deletes text without moving it to the clipboard.

Edit Header	Change message header

Enter Tagline	Enter a tagline to current message


Edit Select All

-Selects all text in a reply.

- Use this option to perform other editing actions, ex: copy reply to Clipboard


Edit Clear Command

-  Deletes selected text.

-The deleted text are lost (not saved onto Clipboard).

- See Cut command


Edit Copy Command

- Place a copy of selected text onto Clipboard.

- No change on original text.

- Previous Clipboard contents are lost.


Edit Cut Command

- Deletes text and places it onto Clipboard.

- Previous Clipboard contents are lost.

- See Clear


Edit Paste Command

-This command places a copy of Clipboard contents at current cursor position, or replaces

  the selected text, if any.

- No change on Clipboard contents.


Edit Undo Command

-When available this command (not grayed) you can undo your last editing action, such as cut, delete, copy, etc.


Edit Header

- Use this option to change  subject, area or the addressee  of your reply.

- Remember: some BBSs accepts messages with status Private  only in Private area.

- The sender's name cannot be changed.


Talk Commands
Talk Menu

Record	Record a Talkline

Play	Play Talkline

Delete	Delete Talkline

Insert	Insert .WAV file (up to 6s)


Music

Play	Play .MID inserted

Delete	Delete current .MID from message

Insert	Insert .MID file into message(up to 16kb)


Record

-Use this option to record a Talklines.   This option is available only if you have a sound border with digital sampling capability.

-Up to 6 seconds of voice can be digitized, the maximum size of a Talkline in this version.

-The PLAY option gives a sound quality better than final result. You can ear the talkline with the sound quality of the receiver at the LIST REP, VIEW option at the Message Reader.

-If you need more editing capabilities, you can use another program to record your voice, (Ex:Windows Record) and use the INCLUDE option to insert the .WAV file as a Talkline.


Clipboard

Scratch area used for transfer data between applications.'


QWK

Default extension of  mail packets invented by Mark Herring (1987),

This format is used by virtually all mail readers.


Door

Name used to designate any external program at your BBS. The most common is the mailer used to create the .QWK file.


Talkline

Sound appended to a message, too small to be a voice mail...


ANSI Message

Message with format control sequences defined by ANSI (American National

Standards Institute).

UniQWK  assume as "ANSI Message"  any message with ESCAPE (1Bh)  character.


Code Page

Strange name used to designate the character set above 127.


ANSI Character set

The default Windows character set, sometimes refered as

Code Page 1007.


How to get...
How to get rid of ..

To get rid of the advice box and the annoying tagline is as easy as heaving a coffee...

Just send $30,00 (American Dollar) to:

UniKEY (R) Gold

435 Presidente Vargas Av

Group 902/903 - Centro.

Rio de Janeiro - Brazil  CEP 20.075.005

Phone: (051) (021) 252-2976

We accept Visa, Master Card  and AMEX.

Use the form available at SENDME.TXT file.

Comments or suggestions are welcome, send it to UniKEY (above address).

or by eletronic mail to:

    cacp@ufrj.bitnet


Uninstall
How to Uninstall

To uninstall UniQWK:

1 - Delete all files from  UniQWK directory.

2 - Delete file UNIQWK.INI from Windows directory , don't forget to save your name and registration code if you have one.

3 - Delete MRUNPACK.PIF and MRPACK.PIF from Windows  directory.

UniQWK doesn't make any alteration on your windows files.


Maximum
UniQWK Limits

- Messages:	600 Msg or 1Mb

- Areas:      	512

- Msg size  	32 kb or 600 lines

- Replies    	64

OBS:

-This limits can be smaller under memory restriction.

-Some BBS may have restrictions on message size.


Buttons


Open mail packet (.QWK file).


Close mail packet, save your replies (.REP).


Replay a talkline, if available .


Play/stop a MIDI if available.


Select a reply for edit, copy, delete,  etc.


Forward current message to another user.


Enter a new message.


Reply current message with quote.


This Help...


Select a message area.


Select a message at current area.


Save current message to a file.


Print current message.


Search for a string into all messages.


Go to previous message.


Go to next message.


Scroll message text down.


Scroll message text up.


 Keyboard

Message Viewer

Dialog Box Keys

Window Keys

Menu Keys

Message View Keys

Internal Editor

Cursor Movement Keys

Editing Keys

Text Selection Keys


Cursor Movement Keys

Key(s)	Function

DIRECTION keys	Moves the cursor left, right, up, or down in a field.

END or CTRL + RIGHT	Moves to the end of a field.

HOME or CTRL + LEFT	Moves to the beginning of a field.

PAGE UP or PAGE DOWN	Moves up or down in a field, one screen at a time.


Dialog Box Keys

Key(s)	Function

TAB	Moves from field to field (left to right and top to bottom).

SHIFT+TAB	Moves from field to field in reverse order.

ALT+letter	Moves to the option or group whose underlined letter matches the one you type.

DIRECTION key	Moves from option to option within a group of options.

ENTER	Executes a command button.

Or, chooses the selected item in a list box and executes the command.

ESC	Closes a dialog box without completing the command.

ALT+DOWN ARROW	Opens a drop-down list box.

ALT+UP or DOWN ARROW	Selects item in a drop-down list box.

SPACEBAR	Cancels a selection in a list box.

Select/clear a check box.

CTRL+SLASH	Selects all the items in a list box.

CTRL+BACKSLASH	Cancels all selections except the current selection.

SHIFT+ DIRECTION key	Extends selection in a text box.

SHIFT+ HOME	Extends selection to first character in a text box.

SHIFT+ END	Extends selection to last character in a text box


Editing Keys

Key(s)	Function

BACKSPACE	Deletes the character to the left of the cursor.

Or, deletes selected text.

DELETE	Deletes the character to the right of the cursor.

Or, deletes selected text.


Menu Keys

Key(s)	Function

ALT	Selects the first menu on the menu bar.

Letter key	Chooses the menu, or menu item, whose underlined letter matches the one you type.

ALT+letter key	Pulls down the menu whose underlined letter matches the one you type.

LEFT or RIGHT ARROW	Moves among menus.

UP or DOWN ARROW	Moves among menu items.

ENTER	Chooses the selected menu item.


Message View Keys

Key(s)	Function

Grey  Plus ( + )	Next message

RETURN	Next message

Grey Minus ( - ) 	Previous message

DEL 	Previous message

PAGE UP / PAGE DOWN	Moves up or down one screen at a time.

UP / DOWN ARROW	Moves up or dows one line at a time.

LEFT / RIGHT ARROW	Selects previous/next message

INSERT 	Choose message

DELETE	Choose area

E	Enter a new message

F	Find text (all messages)

I	Choose message

L	List replies

P	Print current message

M	Stop/Play MIDI

R	Reply current message

S	Save current message

T	Replay a talkline

W	Forward message


System Keys

The following keys can be used from any window, regardless of the application you are using.

Key(s)	Function

CTRL+ESC	Switches to the Task List.

ALT+ESC	Switches to the next application window or minimized icon, including full-screen programs.

ALT+TAB	Switches to the next application window, restoring applications that are running as icons.

ALT+PrtSc	Copies the entire screen to Clipboard.

CTRL+F4	Closes the active window.

F1	Gets Help and displays the Help Index for the application.


Text Selection Keys

Key(s)	Function

SHIFT+LEFT or RIGHT ARROW	Selects text one character at a time to the left or right.

SHIFT+DOWN or UP	Selects one line of text up or down.

SHIFT+END	Selects text to the end of the line.

SHIFT+HOME	Selects text to the beginning of the line.

SHIFT+PAGE DOWN	Selects text down one window.

Or, cancels the selection if the next window is already selected.

SHIFT+PAGE UP	Selects text up one window.

Or, cancels the selection if the previous window is already selected.

CTRL+SHIFT+LEFT or RIGHT ARROW	Selects text to the next or previous word.

CTRL+SHIFT+UP or DOWN ARROW	Selects text to the beginning (UP ARROW) or end (DOWN ARROW) of the paragraph.

CTRL+SHIFT+END	Selects text to the end of the document.

CTRL+SHIFT+HOME	Selects text to the beginning of the document.


Window Keys

Key(s)	Function

ALT+SPACEBAR	Opens the Control menu for an application window.

ALT+Hyphen	Opens the Control menu for a document window.

ALT+F4	Closes a window.

ALT+ESC	Switches to the next application window or minimized icon, including full-screen programs.

ALT+TAB	Switches to the next application window, restoring applications that are running as icons.

ALT+ENTER	Switches a non-Windows application between running in a window and running full screen.

DIRECTION key	Moves a window when you have chosen Move from the Control menu.

Or, changes the size of a window when you have chosen Size from the Control menu.